import React, {Component} from 'react';
import './CardsAnimation.css';
import {Container} from 'react-grid-system';
import Card from '@material-ui/core/Card';
import CardContent from '@material-ui/core/CardContent';
import CardActions from '@material-ui/core/CardActions';
import IconButton from '@material-ui/core/IconButton';
import Typography from '@material-ui/core/Typography';
import FavoriteIcon from '@material-ui/icons/Favorite';
import StarRatings from 'react-star-ratings';
import animacao from "../img/laranja/ANIMACAO_SIMULACAO.jpg";
import apresentacao from "../img/laranja/APRESENTACAO.jpg";
import aplicativo from "../img/laranja/APP.jpg";
import audio from "../img/laranja/AUDIO.jpg";
import vazio from "../img/laranja/EMPTY.jpg";
import imagem from "../img/laranja/IMAGEM.jpg";
import grafico from "../img/laranja/INFOGRAFICO.jpg";
import jogo from "../img/laranja/JOGO.jpg";
import livro from "../img/laranja/LIVRO_DIGITAL.jpg";
import mapa from "../img/laranja/MAPA.jpg";
import outros from "../img/laranja/OUTROS.jpg";
import software from "../img/laranja/SOFTWARE.jpg";
import texto from "../img/laranja/TEXTO.jpg";
import video from "../img/laranja/VIDEO.jpg";

import {apiDomain} from '../env';
import AddIcon from '@material-ui/icons/CreateNewFolder';
import Options from './CardOptions'
import Video from '@material-ui/icons/OndemandVideo';

const types = [{label: "Animação", thumb: animacao}, {label: "Apresentação", thumb: apresentacao},
{label: "Aplicativo" , thumb: aplicativo}, {label: "Áudio", thumb: audio}, {label: "Vazio", thumb: vazio}, {label: "Imagem", thumb: imagem}, {label: "Gráfico", thumb: grafico}, {label: "Jogo", thumb: jogo}, {label: "Livro", thumb: livro}, {label: "Mapa", thumb: mapa}, {label: "Outros", thumb: outros}, {label: "Software", thumb:software}, {label: "Texto", thumb:texto}, {label: "Vídeo", thumb:video}]

class ResourceCard extends Component {
  constructor(props) {
    super(props);
    this.state={
      thumbnail: null,
      userStyle: "animation",
    };

  }
  renderType(type){
    if (!this.state.thumbnail && !this.props.thumbnail ) {
      var aux = types.find(function(element){ return element.label === type});
      this.setState({thumbnail: aux.thumb});
    }
    if (!this.state.thumbnail && this.props.thumbnail ) {
      this.setState({thumbnail: apiDomain + this.props.thumbnail});
    }
  }
  onHover(){
    this.setState({userStyle: "animationOn"});
  }
  onIddle(){
    this.setState({userStyle: "animation"})
  }
  render(){
  this.renderType(this.props.type)
   return (
     <Card onMouseOver={this.onHover.bind(this)} onMouseOut={this.onIddle.bind(this)} >
       <Container style={{padding:"0px", height:"175px", backgroundColor: "#ff7f00"}}>
       <div className={this.state.userStyle}>aaaaaaaaaaa</div>
       <img  src={this.state.thumbnail} style={{height:"100%"}}alt="thumbnail do recurso"/>
       </Container>
       <CardContent style={{height: "60%", textAlign: "left", paddingBottom: "0px"}}>
         <Typography variant="body2" color="textSecondary" component="p" style={{height:"45px", overflow: "hidden", fontSize: "0.8em"}}>
           {this.props.name}
         </Typography>
       </CardContent>
       <Container style={{textAlign: "left"}}>
         <StarRatings
         rating={this.props.rating*100}
         starRatedColor="ff7f00"
         starDimension="20px"
         starSpacing="2px"
         starHoverColor="red"
         />
       </Container>
       <CardActions style={{justifyContent: "space-between", padding: "0px"}}>
       { this.props.type ==="Vídeo"
         ? <Video style={{color:"#ff7f00"}} />
       : <br/>}
         <IconButton  aria-label="Favoritar" size="small">
           <FavoriteIcon />
         </IconButton>
       </CardActions>
       <CardActions style={{borderTop:"1px solid #e5e5e5", justifyContent: "space-between"}}>

       <IconButton aria-label="Guardar" size="small">
         <AddIcon />
       </IconButton>
       <Options/>
       </CardActions>
     </Card>
   );}
 }

 export default ResourceCard;
